### R code from vignette source 'usingVariantFiltering.Rnw'

###################################################
### code chunk number 1: style
###################################################
BiocStyle::latex(use.unsrturl=FALSE)


###################################################
### code chunk number 2: <setup
###################################################
pdf.options(useDingbats=FALSE)
options(width=60)


###################################################
### code chunk number 3: usingVariantFiltering.Rnw:99-105
###################################################
library(VariantFiltering)

CEUvcf <- file.path(system.file("extdata", package="VariantFiltering"), "CEUtrio.vcf.bgz")
CEUped <- file.path(system.file("extdata", package="VariantFiltering"), "CEUtrio.ped")
param <- VariantFilteringParam(vcfFilenames=CEUvcf, pedFilename=CEUped)
param


###################################################
### code chunk number 4: recessive
###################################################
library(BiocParallel)

reHo <- autosomalRecessiveHomozygous(param, BPPARAM=bpparam("SerialParam"))
reHo


###################################################
### code chunk number 5: recessive
###################################################
maxMAF(reHo) <- 0.05
MAFmask <- MAFpop(reHo)
MAFmask
MAFpop(reHo) <- !MAFmask
MAFpop(reHo, "ASN_AFKG") <- TRUE
MAFpop(reHo)
minCRYP5ss(reHo) <- 0
reHo
filteredVariants(reHo)


###################################################
### code chunk number 6: comphet (eval = FALSE)
###################################################
## compHet <- autosomalRecessiveHeterozygous(param)


###################################################
### code chunk number 7: dominant (eval = FALSE)
###################################################
## dom <- autosomalDominant(param)


###################################################
### code chunk number 8: xlid (eval = FALSE)
###################################################
## xlid <- xLinked(param)


###################################################
### code chunk number 9: denovo (eval = FALSE)
###################################################
## deNovo <- deNovo(param)


###################################################
### code chunk number 10: aim (eval = FALSE)
###################################################
## aim <- allInheritanceModels(param)
## aim <- reportVariants(aim)


###################################################
### code chunk number 11: ui (eval = FALSE)
###################################################
## uind <- unrelatedIndividuals(param)


###################################################
### code chunk number 12: reportvariants (eval = FALSE)
###################################################
## reportVariants(reHo, type="csv", file="reHo.csv")


###################################################
### code chunk number 13: reportvariants (eval = FALSE)
###################################################
## aim <- reportVariants(aim)


###################################################
### code chunk number 14: info
###################################################
toLatex(sessionInfo())


